summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorJoerg Jaspert <joerg@debian.org>2016-01-04 22:41:52 +0100
committerJoerg Jaspert <joerg@debian.org>2016-01-04 22:41:52 +0100
commit4f4eae10516e674d85a5062c566f919dcad68a47 (patch)
treed761c512cb39a95b0617b38a8e03d465c0792646 /bin
parent164a56fbf1c51b66cf51b5b6a1f22eedfbd507a2 (diff)
Archive serial, parseable date header
Get the archive serial from upstream and put it into our file, so easier to see when we last updates. Also put a parseable date header into the tracefile
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ftpsync6
1 files changed, 6 insertions, 0 deletions
diff --git a/bin/ftpsync b/bin/ftpsync
index 788ffcc..6fbcbca 100755
--- a/bin/ftpsync
+++ b/bin/ftpsync
@@ -626,7 +626,13 @@ if [ "xtruex" = "x${SYNCSTAGE2}x" ] || [ "xtruex" = "x${SYNCALL}x" ]; then
log "Creating a ${EXTENDEDTRACE} trace file"
if [ -d "$(dirname "${TO}/${TRACE}")" ]; then
{
+ FILESOA=$(awk '/serial/ { print $3 }' ${TO}/project/trace/master || echo unknown )
+ echo "Archive serial: ${FILESOA}"
+
LC_ALL=POSIX LANG=POSIX date -u
+ rfc822date=$(LC_ALL=POSIX LANG=POSIX date -u -R)
+ echo "Date: ${rfc822date}"
+
if [ "xdatex" != "x${EXTENDEDTRACE}x" ]; then
echo "Used ftpsync version: ${VERSION}"
echo "Running on host: ${TRACEHOST}"